Establishments
curl --request GET \
--url https://api.bizzy.ai/v2/legal-entities/{legalEntityId}/establishments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bizzy.ai/v2/legal-entities/{legalEntityId}/establishments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzy.ai/v2/legal-entities/{legalEntityId}/establishments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": {
"establishments": [
{
"id": "617935963",
"name": "Bizzy AI",
"address": {
"number": "5",
"street": "Dok-Noord",
"country": "BE",
"locality": "Ghent",
"postalCode": "9000"
},
"establishmentId": "2697485893",
"latitude": 51.0659,
"longitude": 3.7337,
"language": "NL",
"source": "SourcesBeKboCsv",
"admins": {
"admin1": "Flanders",
"admin2": "East Flanders",
"admin3": "Ghent"
}
}
]
},
"pagination": {
"limit": 4,
"offset": 0,
"total": 1
}
}
Legal Entity API
Establishments
GET
/
v2
/
legal-entities
/
{legalEntityId}
/
establishments
Establishments
Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Path
string
required
Obfuscated legalEntityId returned by the company legal entities endpoint.
Query
number
default:"4"
Number of items to return per page. (max 500)
number
default:"0"
Number of items to skip
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": {
"establishments": [
{
"id": "617935963",
"name": "Bizzy AI",
"address": {
"number": "5",
"street": "Dok-Noord",
"country": "BE",
"locality": "Ghent",
"postalCode": "9000"
},
"establishmentId": "2697485893",
"latitude": 51.0659,
"longitude": 3.7337,
"language": "NL",
"source": "SourcesBeKboCsv",
"admins": {
"admin1": "Flanders",
"admin2": "East Flanders",
"admin3": "Ghent"
}
}
]
},
"pagination": {
"limit": 4,
"offset": 0,
"total": 1
}
}
Was this page helpful?
⌘I